import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { ImagePreview } from '../models/image-preview.model';
export interface Data {
    currentImage: Partial<ImagePreview> | string;
    images: Array<Partial<ImagePreview>>;
}
export declare class ImagePreviewComponent implements OnInit {
    dialogRef: MatDialogRef<ImagePreviewComponent>;
    data: Data;
    currentImageUrl: string;
    constructor(dialogRef: MatDialogRef<ImagePreviewComponent>, data: Data);
    ngOnInit(): void;
    next(): void;
    prev(): void;
}
